/*
//
//				Black min styles - reguły javascript\jquery
//									V.1.0
//				  Wszelkie Prawa Zaszczeżone by Timonix
//
*/

	//function myFunction(x) {
	//	x.classList.toggle("change");
	//}
	
	
 // $("#tsr-nav-menu-mobile").click(function(){
 //   $('#tsr-menu-mobile-nav').stop().slideToggle(300);
 // }); 

 // $("#tsr-nav-menu-mobile").click(function(){
 //   $("#tsr-menu-mobile-nav").stop().slideToggle(300);
 // }); 

	//$( "#tsr-nav-menu-mobile" ).click(function() {
	//	$(this).addClass( "#tsr-menu-mobile-contain" );
   // });
	
	
	
	//$( "#tsr-nav-menu-mobile" ).toggle(function() {
	//	 $("div").addClass("important");
	//});
	
	
	//$(".tsr-button-menu-mobile").click(function(){
	//	$(".tsr-nav-menu-mobile").toggleClass("tsr-nav-menu-mobile-toogle");
	//});
	
	// menu mobile ON //
	
	$(document).ready(function(){
	
		$(".tsr-button-menu-mobile").click(function(){
			$(".tsr-button-menu-mobile").toggleClass("change");
			$(".tsr-nav-menu-mobile").toggleClass("tsr-nav-menu-mobile-toogle");
		});
	
	});

	// menu mobile OFF //
	
	// menu left ON //
	
	$(document).ready(function(){
	
		$(".tsr-button-menu-left").click(function(){
			$(".tsr-button-menu-left").toggleClass("change");
			$(".tsr-nav-menu-left").toggleClass("tsr-nav-menu-visable");
			$(".viewport").animate({width: "100%"}, 1000);
			//$(".menu-left-hover").fadeIn(1000);
		});
	
	});
  
	// menu left OFF //
  
	// menu right ON //

	$(document).ready(function(){
		
		$(".tsr-button-menu-right").click(function(){
			$(".tsr-button-menu-right").toggleClass("change");
			$(".tsr-nav-menu-right").toggleClass("tsr-nav-menu-visable");
			$(".viewport").animate({width: "100%"}, 1000);
		});
	
	});
	
	// menu right OFF //
	
	// menu left minimalize ON //
	
	$(document).ready(function(){
	
		$(".tsr-button-menu-left-minimalize").click(function(){
			$(".tsr-nav-menu-left").toggleClass("tsr-nav-menu-left-minimalize");
			$(".tsr-stopka-navigation-right").toggleClass("tsr-navigation-right-minimalize");
			$(".container-right").toggleClass("tsr-navigation-right-minimalize");
			$(".tsr-nav-menu-size").toggleClass("tsr-display-none");
			$(".tsr-nav-menu-size2").toggleClass("tsr-display-none");
			if ($(".tsr-button-menu-left-minimalize").find(".tsr-nav-menu-size").hasClass("tsr-display-none")){
				document.cookie = "left_navbar_tsr=1";
			}else{
				document.cookie = "left_navbar_tsr=0";
			}		
		});
	
	});
  
	// menu left minimalize OFF //
	
	// menu right minimalize ON //

	$(document).ready(function(){
		
		$(".tsr-button-menu-right-minimalize").click(function(){
			$(".tsr-nav-menu-right").toggleClass("tsr-nav-menu-right-minimalize");
			$(".tsr-stopka-navigation-left").toggleClass("tsr-navigation-left-minimalize");
			$(".container-left").toggleClass("tsr-navigation-left-minimalize");
			$(".tsr-nav-menu-size").toggleClass("tsr-display-none");
			$(".tsr-nav-menu-size2").toggleClass("tsr-display-none");
			if ($(".tsr-button-menu-right-minimalize").find(".tsr-nav-menu-size").hasClass("tsr-display-none")){
				document.cookie = "right_navbar_tsr=1";
			}else{
				document.cookie = "righr_navbar_bm=0";
			}
		});
	
	});
	
	// menu right minimalize OFF //	

	// pokaż kafelki albo tabelkę przy renderowaniu strony w zależnośći na co kliknie użytkownik //

	$(document).ready(function(){
		
		$(".tsr-click-tabelka").click(function(){
			$(".tsr-recors-table").toggleClass("tsr-display-none");
			$(".tsr-recors-miniaturs").toggleClass("tsr-display-none");
			$(".tsr-records-title").toggleClass("tsr-display-none");
			$(".tsr-records-submit").toggleClass("tsr-display-none");
		});
		
		$(".tsr-click-kafelki").click(function(){
			$(".tsr-recors-table").toggleClass("tsr-display-none");
			$(".tsr-recors-miniaturs").toggleClass("tsr-display-none");
			$(".tsr-records-title").toggleClass("tsr-display-none");
			$(".tsr-records-submit").toggleClass("tsr-display-none");
		});
	
	});
	
	// menu right minimalize OFF //	

	// funkcjia ciasteczek ON //
	function setCookie(cname, cvalue, exdays) {
		var d = new Date();
		d.setTime(d.getTime() + (exdays*24*60*60*1000));
		var expires = "expires="+ d.toUTCString();
		document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}
	
	function getCookie(cname) {
		var name = cname + "=";
		var decodedCookie = decodeURIComponent(document.cookie);
		var ca = decodedCookie.split(';');
		for(var i = 0; i <ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0) == ' ') {
				c = c.substring(1);
			}
			if (c.indexOf(name) == 0) {
				return c.substring(name.length, c.length);
			}
		}
		return "";
	}	
	// funkcjia ciasteczek OFF //

	// ciosteczko do zapamiętywania wysuniętego menu admina ON //

	$(document).ready(function(){
		if (getCookie("left_navbar_tsr") == 1){
			$(".tsr-nav-menu-left").addClass("tsr-nav-menu-left-minimalize");
			$(".tsr-stopka-navigation-right").addClass("tsr-navigation-right-minimalize");
			$(".container-right").addClass("tsr-navigation-right-minimalize");
			$(".tsr-nav-menu-size").addClass("tsr-display-none");
			$(".tsr-nav-menu-size2").addClass("tsr-display-none");
		}
		if (getCookie("right_navbar_tsr") == 1){
			$(".tsr-nav-menu-right").addClass("tsr-nav-menu-right-minimalize");
			$(".tsr-stopka-navigation-left").addClass("tsr-navigation-left-minimalize");
			$(".container-left").addClass("tsr-navigation-left-minimalize");
			$(".tsr-nav-menu-size").addClass("tsr-display-none");
			$(".tsr-nav-menu-size2").addClass("tsr-display-none");
		}
	});
	
	// ciosteczko do zapamiętywania wysuniętego menu admina OFF //